Skip to main content
GET
/
transactions
List transactions
curl --request GET \
  --url https://api.finta.io/v2/transactions \
  --header 'Authorization: Bearer <token>'
{
  "transactions": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "bankConnectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "bankAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "provider": "plaid",
      "providerId": "<string>",
      "summary": "<string>",
      "amount": 123,
      "currency": "<string>",
      "authorizedDate": "2023-12-25",
      "postedDate": "2023-12-25",
      "merchantName": "<string>",
      "categoryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "fees": 123,
      "feeType": "<string>",
      "netAmount": 123,
      "subAccount": "<string>",
      "paymentChannel": "<string>",
      "checkNumber": "<string>",
      "originalDescription": "<string>",
      "source": "<string>"
    }
  ],
  "pageInfo": {
    "nextCursor": "<string>",
    "hasMore": true
  }
}

Authorizations

Authorization
string
header
required

Finta API key from the dashboard (Bearer token).

Query Parameters

bankConnectionId
string<uuid>

Filter by bank connection ID

bankAccountId
string<uuid>

Filter by bank account ID

categoryId
string<uuid>

Filter by category ID

status
enum<string>
default:posted

Transaction status filter (default: posted)

Available options:
pending,
posted,
deleted,
all
startDate
string<date>

Inclusive start date on posted_date (YYYY-MM-DD)

endDate
string<date>

Inclusive end date on posted_date (YYYY-MM-DD)

cursor
string

Opaque pagination cursor from a previous response

limit
integer
default:50

Page size (default 50, max 250)

Required range: 1 <= x <= 250

Response

Transactions for the authenticated user

transactions
object[]
required
pageInfo
object
required